
$(document).ready(function(){

    var icons = {
        header: "accordion-plus",
        activeHeader: "accordion-moins"
    };

    $('div.accordion').accordion({
        heightStyle: "content",
        icons: icons,
        collapsible: true,
        active: false
    });

    $('div.accordion p.accordion-titre').click(function(){

        // On retire la classe active aux p.accordion-titre.actif de 
        // **cet** accordéon uniquement.
        $(this).parent('div.accordion').children('p.accordion-titre.actif').removeClass('actif');

        // On ajoute le style actif au titre cliqué sauf si aucune 
        // rubrique n'est ouverte auquel cas on vient de replier la 
        // rubrique ouverte (et il faut donc retirer la classe).
        if ($(this).children('.accordion-moins').length == 0)
            $(this).removeClass('actif');
        else
            $(this).addClass('actif');

    });

    // Gestion des liens internes avec balise d'ouverture.
    $('a.internalion').click(function(){
        ancre = $(this).attr('href');
        click_ancre(ancre);
    });

    // On regarde si une ancre est passée dans l'URL et on déclenche
    // l'évenement clic dessus.
	// (Julien - 2014-08-27) Je modifie : il faut que l'ancre ne concerne un élément accordéon qui existe
	var hashref = document.location.hash;
	if (hashref && !(/^#photos\//.test(hashref)))
	{
		var id = hashref.substr(1);
		if ($('#'+id).get(0))
		{
			click_ancre(hashref);
		}
	}
    /*var url = document.location.href;
    var ancre = url.match(/#.*$/);
    click_ancre(ancre);*/

});

function click_ancre(ancre)
{
    $('div.accordion p.accordion-titre'+ancre).click();
}

